Stackable::isRunning
Stackable::isWaiting
Stackable
PHP Manual

# Stackable::isTerminated

State Detection

### Description

final public boolean Stackable::isTerminated ( void )

Tell if the referenced Stackable exited, suffered fatal errors, or threw uncaught exceptions during execution

### Parameters

This function has no parameters.

### Return Values

A boolean indication of state

### Examples

Example #1 Detect the state of the referenced Stackable

`<?php
class Work extends Stackable {
public function run() {
i_do_not_exist();
}
}
class My extends Worker {
public function run() {
/** ... **/
}
}
$my = new My();
$work = new Work();
$my->stack($work);
$my->start();
$my->shutdown();
var_dump($work->isTerminated());
?>`

The above example will output:

    bool(true)